<!DOCTYPE html>
<html>
  <head>
    <title>Add Notes</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">
    <style>
      html, body {
      background-color: #666;
      min-height: 100%;
      }
      body, div, form, input, select, textarea, label { 
      padding: 0;
      margin: 0;
      outline: none;
      font-family: Roboto, Arial, sans-serif;
      font-size: 14px;
      color: rgb(0, 0, 0);
      line-height: 22px;
      }
      h1 {
      position: absolute;
      margin: 0;
      font-size: 40px;
      color: #fff;
      z-index: 2;
      line-height: 83px;
      }
      .testbox {
      display: flex;
      justify-content: center;
      align-items: center;
      height: inherit;
      padding: 20px;
      }
      form {
      width: 50%;
      padding: 20px;
      border-radius: 6px;
      background: #fff;
      box-shadow: 0 0 8px  #161616; 
      }
      .banner {
      position: relative;
      height: 300px;
      background-image: url("https://i.imgur.com/jO4Aoql.jpeg");  
      background-size: cover;
      background-position: center center;
      display: flex;
      justify-content: center;
      align-items: center;
      }
      .banner::after {
      content: "";
      position: absolute;
      width: 100%;
      height: 100%;
      }
      input, textarea {
      margin-bottom: 10px;
      border: 1px solid #ccc;
      border-radius: 3px;
      }
      input {
      width: calc(100% - 10px);
      padding: 5px;
      }
      textarea {
      width: calc(100% - 12px);
      padding: 5px;
      }
      button {
      width: 150px;
      padding: 10px;
      border: none;
      border-radius: 5px; 
      background: #666;
      font-size: 16px;
      color: rgb(255, 255, 255);
      cursor: pointer;
      }
    </style>
  </head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <div class="container-fluid">
        <a class="navbar-brand" href="/lab-4">Home</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <a class="nav-link text-danger active" aria-current="page" href="/lab-3/">Friend List</a>
            </li>
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="/lab-4/note-list/">Note List</a>
            </li>
            <li class="nav-item">
              <a class="nav-link text-danger active" aria-current="page" href="/lab-3/add/">Add Friend</a>
            </li>
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="add-note/">Add Note</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
    <div class="testbox">
      <form action="" method="POST">
        {% csrf_token %}
        <div class="banner">
          <h1 style="padding-top: 12rem;">Add Note Form</h1>
        </div>
        <p style="padding-top: 10px;">Note</p>
        <div class="item">
          <label for="name">To<span>*</span></label>
          <input id="to" type="text" name="to" required/>
        </div>
        <div class="item">
          <label for="From">From<span>*</span></label>
          <input id="From" type="text" name="From" required/>
        </div>
        <div class="item">
          <label for="title">Title<span>*</span></label>
          <input id="title" type="text" name="title" required/>
        </div>
        <div class="item">
          <label for="message">Message<span>*</span></label>
          <input id="message" type="text" name="message" required/>
        </div>
        <div class="btn-block">
          <button id="submit" type="submit" name="submit">SUBMIT</button>
        </div>
      </form>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
  </body>
</html>

<!-- <form action="" method="POST">
  {% csrf_token %}
  {{ form }}
  <input type="submit" value="Submit">
</form> -->